Project

General

Profile

Actions

Bug #18849

closed

[installer][arvados-formula] debian-10 needs to use rvm

Added by Javier Bértoli 11 months ago. Updated 11 months ago.

Status:
Resolved
Priority:
Normal
Assigned To:
Javier Bértoli
Category:
Deployment
Target version:
Start date:
03/09/2022
Due date:
% Done:

100%

Estimated time:
(Total: 0.00 h)
Story points:
-

Description

After #18838, Debian-10 needs to use RVM or, else, nokogiri won't install

       Running bundle config set --local path /var/www/arvados-api/shared/vendor_bundle... done.
       Running bundle install...[31mnokogiri-1.13.3-x86_64-linux requires ruby version < 3.2.dev, >= 2.6, which is
       incompatible with the current version, ruby 2.5.5p157[0m
        failed.


Subtasks 1 (0 open1 closed)

Task #18850: Review arvados-formula, branch 18849-use-rvm-on-debian-10ResolvedJavier Bértoli03/09/2022

Actions
Actions #1

Updated by Javier Bértoli 11 months ago

  • % Done changed from 0 to 100

Added on commit:15afd64:arvados-formula, branch 18849-use-rvm-on-debian-10

Actions #2

Updated by Javier Bértoli 11 months ago

  • Target version changed from Kanban to 2022-03-16 sprint
  • Category set to Deployment
  • Project changed from 40 to Arvados
Actions #3

Updated by Javier Bértoli 11 months ago

Actions #4

Updated by Ward Vandewege 11 months ago

Javier Bértoli wrote:

Tests pass

18849-use-rvm-on-debian-10 at commit:15afd641d8251dbef21171df649c3e1c56eb55cd LGTM, thanks.

For future reference, if you just put the CI url you get an automatic badge, like so:

test-arvados-formula-development: #42

Actions #5

Updated by Javier Bértoli 11 months ago

  • Status changed from In Progress to Resolved

Merged

Actions

Also available in: Atom PDF